package com.sf.msg.consumers.statistic;

package ..deTemp.1743594779245;

import com.sf.web.dms.common.ws.client.MsgProxyClient;
import com.sf.web.dms.common.ws.handler.MessageConsumer;
import com.smartframework.web.core.utils.ClientFactory;
import com.smartframework.web.core.utils.JsonUtil;
import java.util.HashMap;
import java.util.Map;

public class StatisticProxyConsumer extends MessageConsumer {
  public void handleMsg() throws Exception {
    this.logger.info("收到消息:" + getTopic());
    if (!getTopic().equalsIgnoreCase("other_listen"))
      return; 
    if (getData() == null) {
      this.logger.info("收到消息数据结构为空");
      return;
    } 
    Object msgByJson = getData().get("msg_by_json");
    if (MsgProxyClient.getInstance().getTopics().contains(getData().get("msg_type").toString()) && msgByJson != null) {
      Map<String, Object> jsonMap = JsonUtil.getMapByJson(String.valueOf(msgByJson));
      Integer requestId = Integer.valueOf((jsonMap.get("request_id") != null) ? Integer.parseInt(jsonMap.get("request_id").toString()) : -1);
      Map<String, Object> reqPara = new HashMap<>();
      reqPara.put("requestId", requestId);
      reqPara.put("jsonMap", jsonMap);
      this.logger.info("StatisticProxyConsumer收到消息");
      ClientFactory.getInstance().getRestClient().post("dms/statistics/statisIndex/sendToZone1.do", reqPara);
      this.logger.info("StatisticProxyConsumer处理完成");
    } 
  }
}
